*,
:after,
:before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-size: 15px;
  font-family: "Open Sans", sans-serif;
  color: #22252c;
}

button,
input,
textarea,
select {
  font-family: "Open Sans", sans-serif;
  font-size: 15px !important;
}

ul {
  list-style: none;
  padding: 0;
}

button:focus,
input:focus,
textarea:focus,
select:focus {
  outline: none !important;
  box-shadow: unset !important;
}

a {
  color: #4285F4;
  text-decoration: none;
}

a:hover {
  color: #f2c900;
}

.btn {
  padding: 0.3rem 1.4rem;
  height: 44px;
  font-weight: 500;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.btn-check:focus + .btn-primary,
.btn-primary:focus,
btn-check:focus + .btn-warning,
.btn-warning:focus,
.form-control:focus {
  box-shadow: unset;
}

.btn-check:active+.btn-outline-primary, 
.btn-check:checked+.btn-outline-primary, 
.btn-outline-primary.active, 
.btn-outline-primary.dropdown-toggle.show, 
.btn-outline-primary:active {
  background-color: #4285F4;
  border-color: #4285F4;
}

.btn-outline-primary {
  border-color: #4285F4;
  color: #4285F4;
}

.btn-outline-primary:hover {
  background-color: #4285F4;
  border-color: #4285F4;
}

.badge {
  font-size: 13px;
  font-weight: 500;
}

.form-control {
  font-size: 14px;
  color: #22252c;
}

.form-control:focus {
  border-color: #22252c;
}

.btn-primary,
.badge-primary,
.btn_.primary {
  background-color: #4285F4;
  border-color: #4285F4;
  transition: 0.5s ease-out;
}

.btn-primary:hover,
.badge-primary:hover,
.btn_.primary:hover {
  background-color: #3577e3;
  border-color: #3577e3;
  color: #FFF !important;
}

.btn-success,
.badge-success,
.btn_.success {
  background-color: #2ecc71;
  border-color: #2ecc71;
  transition: 0.5s ease-out;
}

.btn-success:hover,
.badge-success:hover,
.btn_.success:hover {
  background-color: #1caa59;
  border-color: #1caa59;
  color: #FFF !important;
}

body.login-page {
  background-color: #FFF;
}

.login {
  position: fixed;
  top: 20%;
  left: 50%;
  transform: translateX(-50%);
  width: 450px;
  padding: 30px;
  background-color: #4285F4;
  border-radius: 10px;
  box-shadow: 0 0 30px 0 rgb(0 0 0 / 15%);
}

.login .logo {
  text-align: center;
  margin-bottom: 20px;
  font-size: 26px;
  color: #FFF;
  font-weight: 800;
  font-family: 'Nunito';
}

.login .logo span {
  color: #FFFF00;
}

.login .logo img {
  width: 180px;
}

.login .form-group {
  margin-bottom: 10px;
}

.login label {
  display: block;
  color: #FFF;
  font-size: 14px;
  margin-bottom: 5px;
}

.login input {
  width: 100%;
  border: 1px solid #e3e3e3;
  padding: 4px 10px;
  border-radius: 3px;
}

.login .btn {
  width: 100%;
  background-color: #f2c900;
  border-color: #f2c900;
  border-radius: 0;
  padding: 8px 0;
  margin-top: 5px;
  text-transform: uppercase;
  font-size: 14px;
  transition: .4s;
  border-radius: 4px;
  color: #FFF;
}

.login .btn:hover {
  background-color: #2d3436;
  border-color: #2d3436;
  color: #FFF;
}

.alert_ {
  background-color: #ff4646;
  color: #fff;
  padding: 12px 15px;
  border-left: 8px solid #d00000;
  margin-top: 15px;
}

.multi-step-form .alert_ {
  margin-top: 30px;
}

.alert_ p {
  margin-bottom: 0;
}

.main {
  margin-left: 270px;
}

.nav-bar {
  padding: 20px 0;
  text-align: right;
  margin-bottom: 30px;
  box-shadow: 0px 12px 25px 0px rgb(0 0 0 / 4%);
}

.sidebar {
  position: fixed;
  height: 100%;
  width: 270px;
  background-color: #4285F4;
  padding-top: 60px;
  box-shadow: 10px 0px 35px 0px rgb(0 0 0 / 6%);
}

.nav-bar > div {
  margin: 0 25px;
}

.sidebar .logo {
  width: 180px;
  margin: auto;
  font-size: 32px;
  color: #FFF;
  font-family: 'Nunito';
  font-weight: 800;
  text-align: center;
}

.sidebar .logo span {
  color: #FFFF00;
}

.sidebar .logo img {
  width: 100%;
}

.sidebar ul {
  margin-top: 50px;
}

.sidebar li a {
  position: relative;
  width: 100%;
  padding: 14px 15px 14px 30px;
  display: block;
  font-size: 15px;
  text-decoration: none;
  transition: 0.4s;
  color: #FFF;
  font-weight: 500;
  transition: 0.2s ease-out;
  opacity: .9;
}

.sidebar li.active a {
  color: #fff;
  background-color: #3577e3;
  opacity: 1;
}

.sidebar li.active a:before {
  position: absolute;
  content: "" !important;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  height: 32px;
  width: 7px;
  background-color: #FFF;
  border-radius: 0px 8px 8px 0px;
}

.sidebar li a:hover {
  background-color: #3577e3;
  color: #FFF;
  opacity: 1;
}

.sidebar li a .number {
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  background-color: red;
  padding: 4px 7px;
  border-radius: 10px;
  line-height: normal;
  font-weight: 600;
}

.holder {
  margin: 0 25px;
}

.card_ {
  box-shadow: 0 0 20px 0px rgb(0 0 0 / 10%);
  border-radius: 5px;
  margin-bottom: 30px;
}

.card_header {
  padding: 25px;
  border-bottom: 1px solid #eff1f2;
  color: #000;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

.card_header h6 {
  font-weight: 700;
}

.card_body {
  padding: 25px;
}

.form-group > label {
  display: block;
  margin-bottom: 10px;
  font-weight: 600;
}

.form-group {
  margin-bottom: 20px;
}

.col_2 {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 20px;
}

.col_3 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 20px;
}

.display_img {
  margin-top: 20px;
}
.display_img > div {
  background-color: #22252c;
  padding: 10px;
  border-radius: 5px;
  display: inline-block;
}

.display_img img {
  width: 250px;
  height: 150px;
  object-fit: contain;
}

.table-child-marque {
  display: inline-block;
  background-color: #22252c;
  padding: 10px;
  border-radius: 5px;
  width: 120px;
}
.table-child-marque img {
  width: 100%;
  height: auto;
  object-fit: contain;
}

.table th,
.table td {
  padding: 1rem 0.5rem !important;
  border: 0;
  vertical-align: middle;
}

.table.shop td {
  vertical-align: top;
}

.table.shop td p {
  margin-bottom: 8px;
}

.table.shop td .title {
  color: #6e7881;
}

.table th {
  border-bottom-color: #dee2e6 !important;
  border: 0 !important;
}

.table-striped > tbody > tr:nth-of-type(odd) {
  --bs-table-accent-bg: rgba(0, 0, 0, 0.03) !important;
}

.table {
  border-bottom: 1px solid #f4f2f2 !important;
  padding-top: 30px !important;
  margin-bottom: 40px !important;
}

.btn_ {
  width: 33px;
  height: 33px;
  font-size: 14px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  margin: 0 2px;
  cursor: pointer;
}

.btn_.edit {
  background-color: #4285f4;
}

.btn_.supp {
  background-color: #f82626;
}

.btn_ i {
  color: #fff;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_desc {
  background-image: unset !important;
}

.img-table {
  width: 150px;
  height: 80px;
  object-fit: contain;
}

.paginate_button {
  border-radius: 50px !important;
}

.paginate_button i {
  color: #22252c !important;
}

.paginate_button:hover i {
  color: #fff !important;
}

.paginate_button.disabled:hover i {
  color: #22252c !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
  background-color: #dfdddd !important;
  border-color: #dfdddd !important;
  color: #22252c !important;
  margin: 0 5px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current {
  background: #22252c !important;
  border-color: #22252c !important;
  color: #fff !important;
  font-weight: 600;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
  background: #22252c !important;
  color: #fff !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.next,
.dataTables_wrapper .dataTables_paginate .paginate_button.previous {
  background: unset !important;
  border: 0 !important;
  transition: 0.5s ease-out;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.next:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button.previous:hover {
  background: #22252c !important;
  border-color: #22252c !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.next.disabled,
.dataTables_wrapper .dataTables_paginate .paginate_button.previous.disabled {
  opacity: 0.5;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.next.disabled:hover,
.dataTables_wrapper
  .dataTables_paginate
  .paginate_button.previous.disabled:hover {
  background: unset !important;
  border: 0 !important;
}

body.entretien {
  background-color: #fafaff;
}

.entretien .navbar {
  padding: 20px 0;
  text-align: right;
  margin-bottom: 30px;
  box-shadow: 0px 12px 25px 0px rgb(0 0 0 / 4%);
  color: #fff;
}

.entretien .navbar .logo {
  width: 150px;
}

.entretien .navbar .logo img {
  width: 100%;
  height: auto;
}

@media (max-width: 767px) {
  .entretien .navbar .logo {
    width: 100px;
  }
}

.entretien .holder {
  margin: 0 auto 50px;
  width: 50%;
}

span.required {
  color: #f72828;
  font-size: 11px;
  position: relative;
  top: -5px;
  left: 2px;
}

.menu-items > ul {
  display: flex;
  margin-bottom: 0;
}

.menu-items li {
  margin-left: 20px;
  font-weight: 500;
  text-transform: capitalize;
}

@media (max-width: 992px) {
  .entretien .holder {
    width: 100%;
  }
}

.modal .modal-body {
  padding: 2rem;
  text-align: left;
}

.modal .btn-close {
  float: right;
  position: relative;
  top: -25px;
  right: -25px;
}

.modal .detail-client h6 {
  background-color: #e0e4e4;
  padding: 10px;
}

.modal .detail-client .content {
  padding: 10px;
}

.modal .detail-client .content .form-group:last-child {
  margin-bottom: 0;
}

.modal .detail-client .form-group label > span {
  font-weight: 500;
}

.modal .detail-client .form-group a {
  color: #069cba;
}

#autre_declinaison,
#autre_version,
#autre_puissance {
  display: inline-block;
  margin-top: 10px;
  padding: 2px 15px 3px;
  border-radius: 20px;
  background-color: #069cba;
  color: #fff;
  cursor: pointer;
  transition: 0.4s ease-out;
}

#autre_declinaison:hover,
#autre_version:hover,
#autre_puissance:hover {
  background-color: #06869f;
}

#autre_declinaison i,
#autre_version i,
#autre_puissance i {
  font-size: 13px;
  margin-right: 4px;
}

.input-group-text {
  font-size: 15px;
}

.input-group-text.first {
  border-radius: 0;
}

.input-group-text.second {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.input-group-prepend {
  display: flex;
}

.input-group-prepend .input-group-text,
.input-group-append .input-group-text {
  border-radius: 0;
}

.input-group-prepend:nth-of-type(1) .input-group-text {
  border-radius: 0.25rem 0 0 0.25rem;
}

.input-group-append:last-of-type .input-group-text {
  border-radius: 0.25rem;
}

.input-group.custom {
  margin-top: 15px;
}

.input-group .delete_declinaison,
.input-group .delete_field {
  color: #fe1d1d;
  font-size: 15px;
  cursor: pointer;
  transition: 0.3s ease-out;
}

.input-group .delete_declinaison:hover,
.input-group .delete_field:hover {
  opacity: 0.7;
}

.concess-marques {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-gap: 20px;
  align-items: center;
  margin-top: 17px;
}

.concess-marques label {
  cursor: pointer;
  width: 100px;
  height: 100px;
  padding: 15px;
  border-radius: 50%;
  transition: 0.4s;
  box-shadow: 0px 0px 4px 3px rgb(237 238 240);
  background-color: #22252c;
}

.concess-marques label:hover {
  opacity: 0.6;
}

.concess-marques label.active {
  opacity: 1;
  box-shadow: 0px 0px 6px 3px rgb(6 156 186 /90%);
}

.concess-marques img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.concess-marques input {
  display: none;
}

.concess-profile {
  display: grid;
  grid-template-columns: 25% 70%;
  margin-bottom: 30px;
}

.concess-profile .info {
  padding: 10px 12px;
}

.concess-profile .info p {
  margin-bottom: 3px;
}

.concess-profile .info .name {
  margin-bottom: 5px;
  font-size: 26px;
  font-weight: 500;
}

.concess-profile .info i {
  color: #069cba;
  width: 20px;
}

.concess-profile img {
  width: 120px;
  height: 120px;
  object-fit: cover;
  border-radius: 50%;
}

.entretien .marque-concess,
.entretien .list-voitures {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 50px;
  align-items: center;
  margin-top: 17px;
}

.entretien .list-concess {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 50px;
  align-items: center;
  margin-top: 17px;
}

.entretien .marque-concess .marque-concess-item,
.entretien .list-voitures .list-voiture-item,
.entretien .list-concess .list-concess-item {
  height: 100%;
}

.entretien .marque-concess input[type="radio"],
.entretien .list-voitures input[type="radio"],
.entretien .list-concess input[type="radio"] {
  display: none;
}

.entretien .marque-concess label,
.entretien .list-voitures label,
.entretien .list-concess label {
  cursor: pointer;
  width: 100%;
  height: 100%;
  padding: 10px;
  border-radius: 3px;
  transition: 0.4s;
  box-shadow: 0px 0px 4px 3px rgb(237 238 240);
}

.entretien .list-concess label {
  height: auto;
}

.entretien .marque-concess img,
.entretien .list-voitures img {
  width: 100%;
  height: 70px;
  object-fit: contain;
  border-radius: 4px;
}

.entretien .list-concess img {
  width: 100%;
  height: 95px;
  object-fit: cover;
  border-radius: 3px;
}

.entretien .marque-concess label:hover,
.entretien .list-voitures label:hover,
.entretien .list-concess label:hover {
  opacity: 0.6;
}

.entretien .marque-concess label.active,
.entretien .list-voitures label.active,
.entretien .list-concess label.active {
  opacity: 1;
  box-shadow: 0px 0px 4px 3px rgb(6 156 186 / 35%);
}

.entretien .list-voitures .subtitle,
.entretien .list-concess .subtitle {
  margin-bottom: 0;
  margin-top: 10px;
  text-align: center;
}

/*//////////----------------//////////*/

#progressbar {
  display: flex;
  justify-content: space-between;
  text-align: center;
  counter-reset: step;
  margin: 30px 0 50px;
}

#progressbar li {
  list-style-type: none;
  color: #679b9b;
  text-transform: uppercase;
  font-size: 15px;
  width: 33.33%;
  float: left;
  position: relative;
}

#progressbar li:after {
  content: "";
  width: 100%;
  height: 2px;
  background: #089cba;
  position: absolute;
  left: -50%;
  top: 15px;
}

#progressbar li:before {
  position: relative;
  content: counter(step);
  counter-increment: step;
  width: 30px;
  line-height: 30px;
  display: block;
  font-size: 14px;
  color: #fff;
  background: #089cba;
  border-radius: 3px;
  margin: 0 auto 5px auto;
  z-index: 9;
}

#progressbar li:first-child:after {
  content: unset;
}

#progressbar li.active {
  color: #ff9a76;
}

#progressbar li.active:after {
  background: #ff9a76;
}

#progressbar li.active:before {
  background: #ff9a76;
  color: white;
}

.multi-step-form {
  position: relative;
  overflow: hidden;
}

.multi-step-form > .card {
  background-color: #fff;
  border-radius: 5px;
  padding: 40px;
  box-shadow: 0px 0px 25px 0px rgb(0 0 0 / 4%);
  animation: fade 200ms ease-in-out forwards;
}

.multi-step-form > .card.active {
  animation: slide 200ms 115ms ease-in-out both;
}

.multi-step-form .hide {
  display: none;
}

@keyframes slide {
  0% {
    transform: translateX(200%);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes fade {
  0% {
    transform: scale(1);
    opacity: 1;
  }
  50% {
    transform: scale(0.75);
    opacity: 0;
  }
  100% {
    opacity: 0;
    transform: scale(0);
  }
}

.multi-step-form .btn_control {
  text-align: center;
  margin-top: 20px;
}

.multi-step-form .btn_control button {
  background-color: #089cba;
  color: #fff;
  padding: 8px 30px;
  border: 0;
  margin: 0 10px;
  transition: 0.3s ease-in-out;
}

.multi-step-form .btn_control button:hover {
  background-color: #ff9a76;
}

.multi-step-form .form-group label {
  font-weight: 500;
}

.sim_temp_recharge .charging-config {
  background-color: #f7f7f7;
  padding: 20px;
  margin-bottom: 20px;
}

.sim_temp_recharge .charging-config .form-group:last-child {
  margin-bottom: 0;
}

.list-version-item input,
.saison_type_parcours input {
  margin-right: 0.5rem;
}

.saison_type_parcours > div > label {
  margin-bottom: 10px;
}

.ui-widget-header {
  background-color: #28afca;
}

.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default,
.ui-button,
html .ui-button.ui-state-disabled:hover,
html .ui-button.ui-state-disabled:active {
  border: 2px solid #29afca;
}

.ui-slider .ui-slider-handle {
  width: 1.4em;
  height: 1.4em;
  border-radius: 0;
}

.ui-slider-horizontal .ui-slider-handle {
  top: -0.36em;
}

.range-slider > label {
  margin-bottom: 30px;
}

.ui-slider .ui-slider-handle.ui-state-active {
  background-color: #29afca;
}

.ui-slider .ui-slider-handle:focus-visible {
  outline: unset;
}

.ui-widget-content {
  border: 0 !important;
  background: #cccccc;
  border-radius: 0;
}

.ui-slider-horizontal {
  height: 0.7em;
  margin: 0 35px;
}

body.entretien input[type="radio"] {
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  appearance: none;
  background-color: #fff;
  font: inherit;
  color: currentColor;
  width: 1em;
  height: 1em;
  border: 0.09em solid #0b9cba;
  border-radius: 0;
  display: grid;
  place-content: center;
  border-radius: 50%;
}

body.entretien input[type="radio"]::before {
  content: "";
  width: 0.6em;
  height: 0.6em;
  border-radius: 0;
  transform: scale(0);
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--form-control-color);
  border-radius: 50%;
}

body.entretien input[type="radio"]:checked::before {
  transform: scale(1);
  background-color: #0b9cba;
}

.result-recharge thead th {
  font-size: 14px;
  font-weight: 300;
}

.result-recharge .table-striped > tbody > tr:nth-of-type(odd) {
  background-color: #fff;
  --bs-table-accent-bg: #fff !important;
}

.result-recharge tbody td:first-child {
  font-weight: 700;
  font-size: 14px;
  letter-spacing: -1px;
}

.result-recharge tbody td:last-child {
  font-weight: 700;
  text-align: right;
  font-size: 19px;
  letter-spacing: -1px;
}

.result-recharge .table tr {
  border-bottom: 1px solid #eee;
}

.result-recharge .table th,
.result-recharge .table td {
  padding: 0.6rem 0.5rem !important;
}

#recharge_batterie_range {
  position: relative;
}

#recharge_batterie_range:before {
  content: "";
  background-image: url(../../img/empty-battery.png);
  left: -8%;
  background-size: 100%;
  position: absolute;
  height: 22px;
  width: 22px;
  object-fit: contain;
  background-repeat: no-repeat;
  top: -6px;
}

#recharge_batterie_range:after {
  content: "";
  background-image: url(../../img/battery-status-full.png);
  right: -8%;
  background-size: 100%;
  position: absolute;
  height: 22px;
  width: 22px;
  object-fit: contain;
  background-repeat: no-repeat;
  top: -6px;
}

.voitures .list-puissances {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
}

.btn_alert_retour {
  text-decoration: underline;
  color: #fff;
  cursor: pointer;
}

.btn_alert_retour:hover {
  color: #fff;
  text-decoration: none;
}

.sim_temp_recharge .bloc-val-rec {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  text-align: center;
  margin-bottom: 20px;
}

.sim_temp_recharge .bloc-val-rec > div p:first-child {
  font-weight: 700;
  font-size: 20px;
}

.sim_temp_recharge .bloc-val-rec .energie-rec,
.sim_temp_recharge .bloc-val-rec .autonomie-rec,
.sim_temp_recharge .bloc-val-rec .kw-pour-1km {
  border-right: 1px solid #ccc;
}

body.voitures .element-list-puissances {
  padding: 20px;
  background-color: #f4f4f4;
}

body.voitures .element-list-puissances > .form-group {
  margin-bottom: 0;
}

.element-list-puissances {
  display: none;
}

.show_list_puissance {
  color: #069cba;
  cursor: pointer;
}

.element-list-puissances .batterie-autonomie {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 20px;
}

.delete_version_voiture,
.delete_puissance {
  color: #fe1d1d;
  cursor: pointer;
}

.ajout-voiture .batterie-autonomie .input-group-prepend {
  display: none;
}

.ajout-voiture .batterie-autonomie .form-control {
  border-radius: 5px !important;
}

.list-puissances-max-ac {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-gap: 20px;
}

body.voitures .list_puissances .input-group {
  margin-bottom: 15px;
}

#autre_puissance {
  margin-top: 0;
}

.list_puissances_borne {
  padding: 20px;
  border: 1px solid #ccc;
  margin-bottom: 10px;
}

.list_puissances_borne .title-input-group {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin-bottom: 10px;
}

.list_puissances_borne .input-group {
  margin-bottom: 10px;
}

.list_puissances_borne .input-group:last-child {
  margin-bottom: 0;
}

.list_puissances_borne > p {
  font-weight: 600;
  text-decoration: underline;
}

@media (max-width: 767px) {

  .login {
    width: 95%;
    padding: 30px 20px;
  }

}

.btn_.red {
  background-color: #ec0505;
  color: #ec0505;
}

.btn_.green {
  background-color: #029602;
  color: #ec0505;
}

.custom_checkbx {
  display: flex;
  align-items: center;
}

.custom_checkbx label {
  margin: 0;
  margin-right: 10px;
  cursor: pointer;
}

table.dataTable th, table.dataTable td {
  font-size: 14px;
}

.visualiser-upload {
  margin-top: 20px;
  width: 400px;
}

.visualiser-upload img {
  height: 200px;
  object-fit: contain;
}

table img.velo {
  width: 100px;
  height: 70px;
  object-fit: cover;
}

.choix-velos {
  display: flex;
  flex-wrap: wrap;
}

.choix-velos .velo {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-right: 15px;
  margin-bottom: 15px;
  border: 1px solid #ced4da;
  border-radius: 4px;
  cursor: pointer;
}

.choix-velos .velo input {
  display: none;
}

.choix-velos .velo img {
  width: 180px;
  height: 140px;
  object-fit: cover;
}

.choix-velos .velo .content {
  padding: 10px;
  text-align: center;
}

.choix-velos .velo .type {
  display: block;
  font-weight: 700;
}

.choix-velos .velo .numero {
  font-size: 13px;
  color: #484747;
}

.choix-velos input:checked ~ .element .content {
  background-color: #1ed60c;
}

.choix-velos input:checked ~ .element .content span {
  color: #FFF;
}

#select_velo_forfaits .input-group {
  position: relative;
}

#select_velo_forfaits .select {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9;
  cursor: pointer;
}

#select_velo_forfaits .input-group.active .input-group-text,
#select_velo_forfaits .input-group.active .form-control {
  background-color: #1ed60c;
  color: #FFF;
  font-weight: 500;
}

#select_velo_forfaits .elements {
  display: flex;
  flex-wrap: wrap;
}

#select_velo_forfaits .input-group {
  margin-right: 20px;
  width: auto;
}

.columns_demande {
  display: flex;
}

.columns_demande .choix-velos .velo img {
    width: 270px;
    height: 250px;
    object-fit: contain;
}

.columns_demande .column:last-child {
  width: 100%;
  margin-left: 25px;
}

.velo_soucis {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 10px 20px;
}

.img_velo_enpanne .elements {
  display: flex;
  flex-wrap: wrap;
}

.img_velo_enpanne .elements img {
  width: 150px;
  height: 100px;
  margin-right: 15px;
  object-fit: cover;
}

.img_velo_enpanne .element {
  position: relative;
}

.img_velo_enpanne .delete {
  position: absolute;
  top: -10px;
  right: 2px;
  width: 25px;
  height: 25px;
  background-color: red;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  color: #FFF;
  font-size: 12px;
  padding-top: 1px;
  transition: .4s;
  z-index: 9;
}

.img_velo_enpanne .delete:hover {
  transform: scale(1.1);
}

.dash_head .title {
  font-size: 22px;
  font-weight: 800;
  margin-bottom: 20px;
}

.calandrier_head {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 20px;
}

.calendrier_body .items {
  display: flex;
  align-items: center;
  border-bottom: 1px solid #f2f3f2;
}

.calendrier_body .head {
  background-color: #4285F4;
  color: #FFF;
  text-align: center;
  font-weight: 600;
  border-radius: 8px 8px 0px 0px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 5px;
  font-size: 18px;
}

.calendrier_body .items .jour {
  min-width: 34px;
  width: 100%;
  height: 45px;
  display: inline-flex;
  text-align: center;
  padding: 10px 0;
  align-items: center;
  justify-content: center;
  border-right: 1px solid #f2f3f2;
}

.calendrier_body .items .jour:first-child {
  border-left: 1px solid #f2f3f2;
}

.calendrier_body .items .jour[data-reserved] {
  cursor: pointer;
}

.calendrier_body .items .jour[data-reserved]:after {
  height: 26px;
  width: 100%;
  content: "";
}

.calendrier_body .items .jour.jaune[data-reserved]:after {
  background-color: #ffff02;
}

.calendrier_body .items .jour.vert[data-reserved]:after {
  background-color: #2ecc71;
}

.calendrier_body .items .jour.bleu[data-reserved]:after {
  background-color: #01bfff;
}

.calendrier_body .items .jour[data-reserved][data-first]:after {
  border-top-left-radius: 6px;
  border-bottom-left-radius: 6px;
  margin-left: 5px;
}

.calendrier_body .items .jour[data-reserved][data-last]:after {
  border-top-right-radius: 6px;
  border-bottom-right-radius: 6px;
  margin-right: 5px;
}

.calendrier_body .slick-next:before {
  content: "\f054";
}

.calendrier_body .slick-prev:before {
  content: "\f053";
}

.calendrier_body .slick-next:before, .calendrier_body .slick-prev:before {
  color: #000;
  font-family: 'Font Awesome 5 Pro';
  font-size: 16px;
  font-weight: 700;
  text-align: center;
  width: 100%;
  display: block;
  line-height: normal;
}

.calendrier_body .slick-next, .calendrier_body .slick-prev {
  top: 18px;
}

.calendrier_body .nav_calendar {
  color: #FFF;
  cursor: pointer;
  padding: 0 10px;
}

.modal_detail_reservation {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(0 0 0 / 50%);
  z-index: 9;
  display: flex;
  align-items: center;
  justify-content: center;
}

.modal_detail_reservation .modal_dialog {
  background-color: #FFF;
  width: 600px;
  padding: 25px;
  border-radius: 10px
}

.modal_detail_reservation .detail_reservation {
  display: grid;
  grid-template-columns: 25% 75%;
}

.modal_detail_reservation .detail_reservation .velo {
  text-align: center;
}

.modal_detail_reservation .detail_reservation img {
  width: 100%;
  margin-bottom: 15px;
  height: auto;
  border-radius: 10px;
}

.modal_detail_reservation .detail_reservation .info {
  margin-left: 35px;
}

.modal_detail_reservation label {
  margin-bottom: 0;
}

#app_calendrier.loading {
  position: relative;
  min-height: 250px;
}

#app_calendrier.loading .calendrier_body {
  filter: blur(2px);
  border-radius: 10px;
}

#app_calendrier.loading:after {
  content: "";
  border: 6px solid #f3f3f3;
  border-top: 6px solid #4285f4;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 2s linear infinite;
  position: absolute;
  top: 50%;
  right: 50%;
  transform: translate(-50%, -50%);
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.calendrier_body .empty {
  border-left: 1px solid #eff0ef;
  border-right: 1px solid #eff0ef;
  border-bottom: 1px solid #eff0ef;
  padding: 15px 10px;
  text-align: center;
  color: #a6a4a4;
}

.datetime_local {
  cursor: pointer;
  background-color: #FFF !important;
}

.table .badge-primary {
  background-color: #01bfff;
  border-color: #01bfff;
}

.bg-success {
  background-color: #2ecc71 !important;
}

.modal_detail_reservation .detail_reservation .velo label:last-child {
  font-size: 14px;
  font-weight: 400;
}

.not_seen {
  background-color: #d9ffe9 !important;
}

.legend {
  display: flex;
  align-items: center;
}

.legend .item {
  margin-right: 20px;
  display: flex;
  align-items: center;
}

.legend .item span {
  min-width: 45px;
  height: 30px;
  display: inline-block;
  margin-right: 8px;
  border-radius: 5px;
}

.legend .item:nth-child(1) span {
  background-color: #01bfff;
}

.legend .item:nth-child(2) span {
  background-color: #ffff02;
}

.legend .item:nth-child(3) span {
  background-color: #2ecc71;
}

.reservation .save_btn {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 45px !important;
}

.reservation .save_btn .tarif {
  margin-bottom: 0;
  font-size: 24px;
  font-weight: 600;
}

.list_velo {
  display: flex;
  flex-wrap: wrap;
}

.list_velo img {
  width: 200px;
  height: 140px;
  object-fit: cover;
}

.list_velo a {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-right: 15px;
  margin-bottom: 15px;
  border: 1px solid #CCC;
}

.list_velo a.blur img {
  filter: blur(3px);
  opacity: .8;
}

.list_velo .content {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding: 5px;
}

.list_velo .content .type {
    color: #000;
    font-weight: 600;
}

.list_velo .content .numero {
    color: #000;
    font-size: 13px;
}

.dash_head.ca .title {
  color: #ed1228;
  text-align: right;
  font-size: 23px;
  margin: 20px 0 50px;
}

.btn_menu,
.close_sidebar {
  display: none !important;
}

@media (max-width: 992px) {

  .btn_menu {
    display: block !important;
  }

  .nav-bar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 15px;
  }

  .sidebar {
    position: absolute;
    left: -1000px;
    transition: .4s;
  }

  .main {
    margin-left: 0;
  }

  .calandrier_head {
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 15px;
  }

  .legend {
    order: 2;
  }

  .calandrier_head .period {
    order: 1;
    margin-bottom: 15px;
    width: 100%;
    text-align: right;
  }

  .holder {
    margin: 0 15px;
  }

  .nav-bar > div {
    margin: 0;
  }

  .list-items {
    overflow-x: auto;
  }

  .dash_head.ca .title {
    font-size: 22px;
    text-align: center;
  }

  .sidebar.show {
    left: 0;
    position: fixed;
    z-index: 9;
  }

  body.overlay {
    position: relative;
  }

  body.overlay:before {
    content: "";
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background-color: #000;
    z-index: 2;
    opacity: .8;
  }

  .close_sidebar {
    display: block !important;
    position: absolute;
    top: 15px;
    right: 15px;
    color: #FFF;
    cursor: pointer;
    opacity: .9;
  }

  .dataTables_wrapper {
    overflow-x: auto;
  }

}

@media (max-width: 767px) {

  .btn {
    padding: 0.3rem 1rem;
    height: 40px;
  }

  .period .btn-group {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    grid-gap: 15px 0;
  }

  .period .btn-group button:nth-of-type(4) {
    border-radius: 0 0.25rem 0.25rem 0 !important;
  }

  .period .btn-group .btn-group:nth-of-type(1) {
    border-radius: 0.25rem 0 0 0.25rem;
    overflow: hidden;
  }

  .legend .item span {
    min-width: 30px;
    height: 25px;
  }

  .legend .item {
    font-size: 13px;
  }

  .col_2 {
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 0;
  }

  .card_header {
    padding: 25px 15px;
  }

  .card_body {
    padding: 25px 15px;
  }

  .dataTables_wrapper .dataTables_filter {
    text-align: left !important;
  }

  .columns_demande .choix-velos .velo img {
    width: 200px;
    height: 135px;
  }

  .columns_demande {
    flex-direction: column;
  }

  .columns_demande .column:last-child {
    margin-left: 0;
  }

  .velo_soucis {
    grid-template-columns: repeat(3, 1fr);
  }

}

.dash_res {
  margin-bottom: 50px;
}

.dash_res .tab-pane.show {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 20px;
}

.dash_res .item {
  display: flex;
  box-shadow: 0 .5rem 1rem rgba(0,0,0,.15)!important;
  transition: box-shadow .15s ease;
  padding: 15px;
  border-radius: 10px;
}

.dash_res .velo {
  margin-right: 20px;
  text-align: center;
}

.dash_res .velo img {
  width: 160px;
  height: 110px;
  object-fit: cover;
  border-radius: 10px;
}

.dash_res .velo .info span {
  display: block;
}

.dash_res .velo .type {
  font-weight: 700;
} 

.dash_res .info {
  margin-top: 10px;
}

.dash_res .detail p span {
  font-weight: 600;
}

.dash_res .nav {
  margin-bottom: 40px;
}

.nav-pills .nav-link.active, 
.nav-pills .show>.nav-link {
  background-color: #4285f4;
}

.nav-pills .nav-link {
  font-size: 16px !important;
}

@media (max-width: 767px) {

  .dash_res .tab-pane.show {
    grid-template-columns: repeat(1,1fr);
    grid-gap: 15px;
  }

  .dash_res .velo img {
    width: 140px;
    height: 90px;
  }

  .dash_res .velo {
    margin-right: 10px;
  }

  .dash_res .item {
    padding: 15px 10px;
  }

  .modal_detail_reservation .modal_dialog {
    width: 92%;
    padding: 20px 15px;
  }

  .modal_detail_reservation .detail_reservation .info {
    margin-left: 15px;
  }

}

.alert_info {
  color: #055160;
  background-color: #cff4fc;
  border: 1px solid #b6effb;
  font-weight: 600;
  padding: 15px;
  border-radius: 4px;
  text-align: center;
  margin-bottom: 15px;
}

.velo_carre {
  padding: 20px;
  border: 1px solid #ced4da;
  border-radius: 4px;
}
